Get action statuses
curl --request GET \
--url https://staging.api.us.aptlydone.com/actions/v1/actions/statuses \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/actions/v1/actions/statuses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/actions/v1/actions/statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:27:47.328Z",
"message": "Success",
"data": [
{
"id": "0991e896-9be4-48c2-a188-cbf27956b6e2",
"actionStatusName": "In Progress",
"isEnabled": true
}
]
}Actions
Get action statuses
GET
/
v1
/
actions
/
statuses
Get action statuses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Status type.
Example:
true
Response
200 - application/json
Action statuses retrieved successfully
Was this page helpful?
āI